Summary:     Locally checks for signs of a rootkit
Name:        chkrootkit
Version:     0.44
Release:     5.pp
License:     Freeware
Group:       Console/Utilities
Source0:     ftp://ftp.pangeia.com.br/pub/seg/pac/%{name}-%{version}.tar.gz
Source1:     %{name}.cron
Patch0:      %{name}-tools_path.patch
Patch1:      %{name}-static_tools.patch
URL:         http://www.%{name}.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Nelson Murilo <nelson@pangeia.com.br>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    /bin/awk /bin/cut /bin/echo /bin/egrep /usr/bin/find /usr/bin/head
Requires:    /usr/bin/id /bin/ls /bin/netstat /bin/ps /bin/sed /usr/bin/strings
Requires:    /bin/uname /usr/bin/install /bin/chmod /bin/chown crontabs vixie-cron
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux


%description
chkrootkit is a tool to locally check for signs of a rootkit.
It contains a chkrootkit shell script that checks system
binaries for rootkit modification. The following tests are
made: aliens, asp, bindshell, lkm, rexedcs, sniffer, wted, z2,
amd, basename, biff, chfn, chsh, cron, date, du, dirname, echo,
egrep, env, find, fingerd, gpm, grep, hdparm, su, ifconfig,
inetd, inetdconf, identd, killall, login, ls, mail, mingetty,
netstat, named, passwd, pidof, pop2, pop3, ps, pstree, rpcinfo,
rlogind, rshd, slogin, sendmail, sshd, syslogd, tar, tcpd, top,
telnetd, timed, traceroute, write and more. ifpromisc.c checks
whether the interface is in promiscuous mode, chklastlog.c
checks for lastlog deletions, chkwtmp.c checks for wtmp
deletions, check_wtmpx.c checks for wtmpx deletions (Solaris
only), and chkproc.c checks for signs of LKM trojans.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
make sense


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/usr/libexec/chkrootkit
for file in \
	chkrootkit         \
	check_wtmpx-static \
	chkdirs-static     \
	chklastlog-static  \
	chkproc-static     \
	chkwtmp-static     \
	ifpromisc-static   \
	strings-static; do
   install -m 500 $file $RPM_BUILD_ROOT/usr/libexec/chkrootkit
done
install -m 500 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/chkrk


%post
echo "Copying tools..."
rm -rf /var/lib/chkrootkit
mkdir -p /var/lib/chkrootkit
for file in \
	/bin/awk         \
	/bin/cut         \
	/bin/echo        \
	/bin/egrep       \
	/usr/bin/find    \
	/usr/bin/head    \
	/usr/bin/id      \
	/bin/ls          \
	/bin/netstat     \
	/bin/ps          \
	/bin/sed         \
	/usr/bin/strings \
	/bin/uname; do
   install -m 500 $file /var/lib/chkrootkit
done
chown root:root /var/lib/chkrootkit /var/lib/chkrootkit/*
chmod 0500 /var/lib/chkrootkit /var/lib/chkrootkit/*
cat << _EOF_

*** NOTE ***

chkrootkit will run daily using cron (etc/cron.daily/chkrk).
However it is recommended that you run it the first time from
commandline to check your system:

   /usr/libexec/chkrootkit/chkrootkit

_EOF_


%preun
if [ $1 = 0 ] ; then
   rm -rf /var/lib/chkrootkit
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS COPYRIGHT README*
/etc/cron.daily/*
%dir %attr(500,root,root) /usr/libexec/chkrootkit
%attr(500,root,root) /usr/libexec/chkrootkit/*


%changelog
* Tue Dec 07 2004 peter.pramberger@member.fsf.org
- new version 0.44

* Wed May 12 2004 peter.pramberger@member.fsf.org
- new version 0.43

* Wed Nov 19 2003 peter.pramberger@member.fsf.org
- created

